Index: audio/ardour2/Portfile
===================================================================
--- audio/ardour2/Portfile	(revision 90675)
+++ audio/ardour2/Portfile	(working copy)
@@ -77,24 +77,31 @@
         depends_lib-append port:slv2
 }
 
-variant gcc43 conflicts gcc44 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
     depends_build-append    port:gcc43
     configure.compiler      macports-gcc-4.3
     build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
     destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
-variant gcc44 conflicts gcc43 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
     depends_build-append    port:gcc44
     configure.compiler      macports-gcc-4.4
     build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
     destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
-if {![variant_isset gcc43]} {
-    default_variants +gcc44
+variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+    depends_build-append    port:gcc45
+    configure.compiler      macports-gcc-4.5
+    build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
+    destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants +gcc45
+}
+
 platform darwin 10 {
     # Broken on SL due to lack of support in scons configuration script.
     pre-fetch {
Index: devel/swig/Portfile
===================================================================
--- devel/swig/Portfile	(revision 90675)
+++ devel/swig/Portfile	(working copy)
@@ -49,7 +49,7 @@
     chicken     {port:chicken           chicken}
     clisp       {port:clisp             clisp}
     csharp      {port:mono              csharp}
-    gcj         {port:gcc44             "gcj=${prefix}/bin/gcj-mp-4.4 --with-gcjh=${prefix}/bin/gcjh-mp-4.4"}
+    gcj         {port:gcc45             "gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5"}
     go          {port:go                go}
     guile       {port:guile             guile}
     java        {bin:java:kaffe         java}
@@ -88,19 +88,26 @@
 }
 
 subport swig-gcj {
-    variant gcc43 conflicts gcc44 description {build using GCJ 4.3} {
-        depends_lib-delete port:gcc44
+    variant gcc43 conflicts gcc44 gcc45 description {build using GCJ 4.3} {
+        depends_lib-delete port:gcc45
         depends_lib-append port:gcc43
-        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.4 --with-gcjh=${prefix}/bin/gcjh-mp-4.4
+        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5
         configure.args-append --with-gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3
     }
-    
-    # just a placeholder variant until gcc45 gets added
-    variant gcc44 conflicts gcc43 description {build using GCJ 4.4} {}
-    
-    if {![variant_isset gcc43]} {
-        default_variants +gcc44
+
+    variant gcc44 conflicts gcc43 gcc45 description {build using GCJ 4.4} {
+        depends_lib-delete port:gcc45
+        depends_lib-append port:gcc44
+        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5
+        configure.args-append --with-gcj=${prefix}/bin/gcj-mp-4.4 --with-gcjh=${prefix}/bin/gcjh-mp-4.4
     }
+
+    # just a placeholder variant until gcc46 gets added
+    variant gcc45 conflicts gcc43 gcc44 description {build using GCJ 4.5} {}
+
+    if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+        default_variants +gcc45
+    }
 }
 
 if {${swig.lang} == ""} {
Index: games/snoopy/Portfile
===================================================================
--- games/snoopy/Portfile	(revision 90675)
+++ games/snoopy/Portfile	(working copy)
@@ -30,18 +30,23 @@
     patchfiles          patch-brain.c.diff
 }
 
-variant gcc44 conflicts gcc43 description {build with gcc 4.4} {
+variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+    depends_lib-append  port:gcc45
+    configure.compiler  macports-gcc-4.5
+}
+
+variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
     depends_lib-append  port:gcc44
     configure.compiler  macports-gcc-4.4
 }
 
-variant gcc43 conflicts gcc44 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
     depends_lib-append  port:gcc43
     configure.compiler  macports-gcc-4.3
 }
 
-if {![variant_isset gcc43]} {
-    default_variants +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants +gcc45
 }
 
 livecheck.type      regex
Index: graphics/pgplot/Portfile
===================================================================
--- graphics/pgplot/Portfile	(revision 90675)
+++ graphics/pgplot/Portfile	(working copy)
@@ -235,8 +235,8 @@
     configure.fc  ${prefix}/bin/g95
 }
 
-if {![variant_isset g95] && ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc45]} {
-    default_variants +gcc44
+if {![variant_isset g95] && ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants +gcc45
 }
 
 variant docs description {Create and install docs} {
Index: lang/adaptor/Portfile
===================================================================
--- lang/adaptor/Portfile	(revision 90675)
+++ lang/adaptor/Portfile	(working copy)
@@ -60,19 +60,25 @@
 
 destroot.destdir PREFIX=${destroot}${prefix}/lib/${name}
 
-variant gcc43 conflicts g95 gcc44 description {build with gfortran 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 description {build with gfortran 4.3} {
     depends_lib-append port:gcc43
     configure.f77 ${prefix}/bin/gfortran-mp-4.3
     configure.f90 ${prefix}/bin/gfortran-mp-4.3
 }
 
-variant gcc44 conflicts g95 gcc43 description {build with gfortran 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 description {build with gfortran 4.4} {
     depends_lib-append port:gcc44
     configure.f77 ${prefix}/bin/gfortran-mp-4.4
     configure.f90 ${prefix}/bin/gfortran-mp-4.4
 }
 
-variant g95 conflicts gcc43 gcc44 description {build with g95} {
+variant gcc45 conflicts g95 gcc43 gcc44 description {build with gfortran 4.5} {
+    depends_lib-append port:gcc45
+    configure.f77 ${prefix}/bin/gfortran-mp-4.5
+    configure.f90 ${prefix}/bin/gfortran-mp-4.5
+}
+
+variant g95 conflicts gcc43 gcc44 gcc45 description {build with g95} {
     depends_lib-append port:g95
     configure.f77 ${prefix}/bin/g95
     configure.f90 ${prefix}/bin/g95
@@ -81,6 +87,6 @@
 
 }
 
-if {![variant_isset gcc43] && ![variant_isset g95]} {
-    default_variants +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
+    default_variants +gcc45
 }
Index: lang/ftidy/Portfile
===================================================================
--- lang/ftidy/Portfile	(revision 90675)
+++ lang/ftidy/Portfile	(working copy)
@@ -27,8 +27,8 @@
     md5 f940dfa793408368f92af6aab535619b \
     sha1 200e4531f172355cde49c455e2f7e9df8f1f8404
 
-if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc45] } {
-    default_variants    +gcc44
+if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] } {
+    default_variants    +gcc45
 }
 
 variant gcc42 conflicts gcc43 gcc44 gcc45 description {Build using gcc42} {
Index: math/R/Portfile
===================================================================
--- math/R/Portfile	(revision 90675)
+++ math/R/Portfile	(working copy)
@@ -99,8 +99,8 @@
 
 default_variants +recommended
 
-if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45]} {
-    default_variants-append +gcc44
+if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46]} {
+    default_variants-append +gcc45
 }
 
 post-patch {
Index: math/arpack/Portfile
===================================================================
--- math/arpack/Portfile	(revision 90675)
+++ math/arpack/Portfile	(working copy)
@@ -85,8 +85,8 @@
         configure.env-append F77=${prefix}/bin/g95
 }
 
-if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95] } {
-	default_variants      +gcc44
+if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset g95] } {
+	default_variants      +gcc45
 }
 
 variant openmpi description {build PARPACK, the parallel eigenvalue solver library} conflicts universal {
Index: math/atlas/Portfile
===================================================================
--- math/atlas/Portfile	(revision 90675)
+++ math/atlas/Portfile	(working copy)
@@ -74,8 +74,8 @@
 	} elseif { [variant_isset gcc46] } {
 		set gccversion	4.6
 	} else {
-	default_variants	+gcc44
-	set gccversion		4.4
+	default_variants	+gcc45
+	set gccversion		4.5
 	}
 } else {
 	# On Lion, we can also select clang and llvm-gcc42 since these compilers
@@ -90,13 +90,16 @@
 	} elseif { [variant_isset gcc45 ] } {
 		set gccversion	4.5
 	} elseif { [variant_isset gcc46] } {
-		return -code error "GCC/GFortran 4.6 is not yet available"
+	    pre-fetch {
+		    return -code error "GCC/GFortran 4.6 is not yet available on Lion"
+		}
 	} elseif { [variant_isset dragonegg45] } {
 		configure.compiler	clang
 		configure.f77		${prefix}/bin/gfortran-mp-4.5
 		patchfiles-append	patch-clang.diff
 	} else {
-		return -code error "GCC/GFortran 4.6 is not yet available"
+		default_variants	+gcc45
+		set gccversion		4.5
 	}
 }
 
@@ -111,10 +114,6 @@
 	depends_lib-append	port:gcc${gccnumber}
 }
 
-if {[info exists depends_skip_archcheck] && [info exists gccversion]} {
-	depends_skip_archcheck gcc${gccnumber}
-}
-
 # No cross-compilation possible
 if { ${os.arch} == "i386" } {
 	set universal_archs_supported { i386 x86_64 }
Index: math/dotwrp/Portfile
===================================================================
--- math/dotwrp/Portfile	(revision 90675)
+++ math/dotwrp/Portfile	(working copy)
@@ -20,12 +20,14 @@
 
 use_configure   no
 
-if { ![variant_isset g95] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
-    default_variants +gcc44
+if { ![variant_isset g95] && ![variant_isset gcc44] && ![variant_isset gcc46]} {
+    default_variants +gcc45
 }
 
 if {[variant_isset g95]} {
   set fc ${prefix}/bin/g95
+} elseif {[variant_isset gcc46]} {
+  set fc ${prefix}/bin/gfortran-mp-4.6
 } elseif {[variant_isset gcc45]} {
   set fc ${prefix}/bin/gfortran-mp-4.5
 } else {
Index: math/eigen3/Portfile
===================================================================
--- math/eigen3/Portfile	(revision 90675)
+++ math/eigen3/Portfile	(working copy)
@@ -34,14 +34,17 @@
 
 # Variants
 variant gcc44 description {Use MacPorts' gcc44 compilers} conflicts gcc45 gcc46 {
+  depends_build-append  port:gcc44
   configure.compiler  macports-gcc-4.4
 }
 
 variant gcc45 description {Use MacPorts' gcc45 compilers} conflicts gcc44 gcc46 {
+  depends_build-append  port:gcc45
   configure.compiler  macports-gcc-4.5
 }
 
 variant gcc46 description {Use MacPorts' gcc46 compilers} conflicts gcc44 gcc45 {
+  depends_build-append  port:gcc46
   configure.compiler  macports-gcc-4.6
 }
 
Index: math/fftw-3/Portfile
===================================================================
--- math/fftw-3/Portfile	(revision 90675)
+++ math/fftw-3/Portfile	(working copy)
@@ -92,7 +92,6 @@
 
 variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc42 gcc44 gcc45 gcc46 g95 {
     depends_lib-append    port:gcc43
-    depends_skip_archcheck gcc43
     configure.f77         gfortran-mp-4.3
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -106,7 +105,6 @@
 
 variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc42 gcc43 gcc45 gcc46 g95 {
     depends_lib-append    port:gcc44
-    depends_skip_archcheck gcc44
     configure.f77         gfortran-mp-4.4
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -120,7 +118,6 @@
 
 variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc42 gcc43 gcc44 gcc46 g95 {
     depends_lib-append    port:gcc45
-    depends_skip_archcheck gcc45
     configure.f77         gfortran-mp-4.5
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -134,7 +131,6 @@
 
 variant gcc46 description {create Fortran wrappers using gcc46} conflicts gcc42 gcc43 gcc44 gcc45 g95 {
     depends_lib-append    port:gcc46
-    depends_skip_archcheck gcc46
     configure.f77         gfortran-mp-4.6
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
Index: math/fftw-3-long/Portfile
===================================================================
--- math/fftw-3-long/Portfile	(revision 90675)
+++ math/fftw-3-long/Portfile	(working copy)
@@ -104,7 +104,6 @@
 
 variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc42 gcc43 gcc44 gcc46 g95 {
     depends_lib-append    port:gcc45
-    depends_skip_archcheck gcc45
     configure.f77         gfortran-mp-4.5
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -118,7 +117,6 @@
 
 variant gcc46 description {create Fortran wrappers using gcc46} conflicts gcc42 gcc43 gcc44 gcc45 g95 {
     depends_lib-append    port:gcc46
-    depends_skip_archcheck gcc46
     configure.f77         gfortran-mp-4.6
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
Index: math/fftw-3-single/Portfile
===================================================================
--- math/fftw-3-single/Portfile	(revision 90675)
+++ math/fftw-3-single/Portfile	(working copy)
@@ -98,7 +98,6 @@
 
 variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc42 gcc44 gcc45 gcc46 g95 {
     depends_lib-append    port:gcc43
-    depends_skip_archcheck gcc43
     configure.f77         gfortran-mp-4.3
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -112,7 +111,6 @@
 
 variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc42 gcc43 gcc45 gcc46 g95 {
     depends_lib-append    port:gcc44
-    depends_skip_archcheck gcc44
     configure.f77         gfortran-mp-4.4
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -126,7 +124,6 @@
 
 variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc42 gcc43 gcc44 gcc46 g95 {
     depends_lib-append    port:gcc45
-    depends_skip_archcheck gcc45
     configure.f77         gfortran-mp-4.5
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
@@ -140,7 +137,6 @@
 
 variant gcc46 description {create Fortran wrappers using gcc46} conflicts gcc42 gcc43 gcc44 gcc45 g95 {
     depends_lib-append    port:gcc46
-    depends_skip_archcheck gcc46
     configure.f77         gfortran-mp-4.6
     configure.args-delete --disable-fortran
     if { ${os.arch} == "i386" } {
Index: math/octave/Portfile
===================================================================
--- math/octave/Portfile	(revision 90675)
+++ math/octave/Portfile	(working copy)
@@ -125,8 +125,8 @@
     configure.f77       "${prefix}/bin/g95"
 }
 
-if { ![variant_isset gcc43] && ![variant_isset gcc45] && ![variant_isset g95] } {
-    default_variants +gcc44
+if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95] } {
+    default_variants +gcc45
 }
 if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset g95]} {
     pre-fetch {
Index: math/octave-devel/Portfile
===================================================================
--- math/octave-devel/Portfile	(revision 90675)
+++ math/octave-devel/Portfile	(working copy)
@@ -132,16 +132,17 @@
 
 # check for setting the default variant (gcc44)
 if { ![variant_isset gcc43] && ![variant_isset gcc44] && \
-         ![variant_isset gcc45] && ![variant_isset gcc46] && \
-         ![variant_isset g95] } {
-    default_variants +gcc44
+         ![variant_isset gcc46] && ![variant_isset g95] } {
+    default_variants +gcc45
 }
 
 # check if the user disabled just the default variant: -gcc44
 if { ![variant_isset gcc43] && ![variant_isset gcc44] && \
          ![variant_isset gcc45] && ![variant_isset gcc46] && \
          ![variant_isset g95] } {
-    error "You cannot use the variant -gcc44 alone."
+    pre-fetch {
+        error "You must select one of the compiler variants."
+    }
 }
 
 set gcc_version ""
Index: math/qrupdate/Portfile
===================================================================
--- math/qrupdate/Portfile	(revision 90675)
+++ math/qrupdate/Portfile	(working copy)
@@ -104,9 +104,9 @@
     }
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && \
-        ![variant_isset gcc45] && ![variant_isset g95]} {
-    default_variants +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44] \
+        && ![variant_isset g95]} {
+    default_variants +gcc45
 }
 
 if {[variant_isset g95]} {
Index: math/shogun/Portfile
===================================================================
--- math/shogun/Portfile	(revision 90675)
+++ math/shogun/Portfile	(working copy)
@@ -142,17 +142,17 @@
 #   configure.args-delete --disable-doxygen
 # }
 
-variant gcc43 conflicts gcc44 description {build with gcc 4.3} {}
-variant gcc44 conflicts gcc43 description {build with gcc 4.4} {}
+variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {}
+variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {}
 variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {}
 
 if {[variant_isset gcc43]} {
     set gccversion 4.3
-} elseif {[variant_isset gcc45]} {
+} elseif {[variant_isset gcc44]} {
+    set gccversion 4.4
+} else {
+    default_variants +gcc45
     set gccversion 4.5
-} else {
-    default_variants +gcc44
-    set gccversion 4.4
 }
 
 set gccnumber [join [split ${gccversion} .] ""]
Index: net/lam/Portfile
===================================================================
--- net/lam/Portfile	(revision 90675)
+++ net/lam/Portfile	(working copy)
@@ -34,25 +34,31 @@
 
 destroot.args	docdir=${prefix}/share/doc/lam
 
-variant gcc42 description {enable Fortran support with GCC 4.2} conflicts gcc43 gcc44 g95 {
+variant gcc42 description {enable Fortran support with GCC 4.2} conflicts gcc43 gcc44 gcc45 g95 {
 	depends_lib   port:gcc42
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.2
 }
 
-variant gcc43 description {enable Fortran support with GCC 4.3} conflicts gcc42 gcc44 g95 {
+variant gcc43 description {enable Fortran support with GCC 4.3} conflicts gcc42 gcc44 gcc45 g95 {
 	depends_lib   port:gcc43
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.3
 }
 
-variant gcc44 description {enable Fortran support with GCC 4.4} conflicts gcc42 gcc43 g95 {
+variant gcc44 description {enable Fortran support with GCC 4.4} conflicts gcc42 gcc43 gcc45 g95 {
 	depends_lib   port:gcc44
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.4
 }
 
-variant g95 description {enable Fortran support with G95} conflicts gcc42 gcc43 gcc44 {
+variant gcc45 description {enable Fortran support with GCC 4.5} conflicts gcc42 gcc43 gcc44 g95 {
+	depends_lib   port:gcc45
+	configure.args-delete	--without-fc
+	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.5
+}
+
+variant g95 description {enable Fortran support with G95} conflicts gcc42 gcc43 gcc44 gcc45 {
 	depends_lib   port:g95
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/g95
Index: python/py-scipy/Portfile
===================================================================
--- python/py-scipy/Portfile	(revision 90675)
+++ python/py-scipy/Portfile	(working copy)
@@ -124,8 +124,8 @@
 }
 
 
-if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc45] &![variant_isset gcc46] } {
-  default_variants      +gcc44
+if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] &![variant_isset gcc46] } {
+  default_variants      +gcc45
 }
 
 }
Index: python/py25-pymc/Portfile
===================================================================
--- python/py25-pymc/Portfile	(revision 90675)
+++ python/py25-pymc/Portfile	(working copy)
@@ -31,32 +31,38 @@
 patchfiles-append   patch-pymc-gibbsit.f.diff
 depends_lib-append  port:py25-numpy
 
-variant gcc42 description {create Fortran wrappers using gcc42} conflicts gcc43 gcc44 g95 {
+variant gcc42 description {create Fortran wrappers using gcc42} conflicts gcc43 gcc44 gcc45 g95 {
     depends_lib-append    port:gcc42
     set fc                ${prefix}/bin/gfortran-mp-4.2
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc42 gcc44 g95 {
+variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc42 gcc44 gcc45 g95 {
     depends_lib-append    port:gcc43
     set fc                ${prefix}/bin/gfortran-mp-4.3
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc42 gcc43 g95 {
+variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc42 gcc43 gcc45 g95 {
     depends_lib-append    port:gcc44
     set fc                ${prefix}/bin/gfortran-mp-4.4
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant g95 description {create Fortran wrappers using f95} conflicts gcc42 gcc43 gcc44 {
+variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc42 gcc43 gcc44 g95 {
+    depends_lib-append    port:gcc45
+    set fc                ${prefix}/bin/gfortran-mp-4.5
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant g95 description {create Fortran wrappers using f95} conflicts gcc42 gcc43 gcc44 gcc45 {
     depends_lib-append    port:g95
     set fc                ${prefix}/bin/g95
     build.env-append      F77=${fc} F90=${fc}
 }
 
-if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset g95]} {
-       default_variants +gcc44
+if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
+       default_variants +gcc45
 }
 
 livecheck.regex         <a href=\"http://pymc.googlecode.com/files/pymc-(\[\\d\.\]+)${extract.suffix}
Index: python/py25-pynifti/Portfile
===================================================================
--- python/py25-pynifti/Portfile	(revision 90675)
+++ python/py25-pynifti/Portfile	(working copy)
@@ -42,19 +42,24 @@
   }
 }
 
-variant gcc43 conflicts gcc44 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
     depends_build-append port:gcc43
     configure.compiler   macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
     depends_build-append port:gcc44
     configure.compiler   macports-gcc-4.4
 }
 
-if {![variant_isset gcc43]} {
-    default_variants +gcc44
+variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+    depends_build-append port:gcc45
+    configure.compiler   macports-gcc-4.5
 }
 
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants +gcc45
+}
+
 livecheck.url http://sourceforge.net/export/rss2_projfiles.php?project=niftilib
 livecheck.regex {pynifti_([0-9.]+).tar.gz}
Index: python/py26-logilab-hmm/Portfile
===================================================================
--- python/py26-logilab-hmm/Portfile	(revision 90675)
+++ python/py26-logilab-hmm/Portfile	(working copy)
@@ -30,7 +30,7 @@
 universal_variant   no
 python.add_archflags no
 
-variant gcc42 conflicts gcc43 gcc44 description "Use gfortran-mp-4.2 as fortran compiler" {
+variant gcc42 conflicts gcc43 gcc44 gcc45 description "Use gfortran-mp-4.2 as fortran compiler" {
   configure.compiler    macports-gcc-4.2
   depends_lib-append    port:gcc42
   set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.2 --f90exec ${prefix}/bin/gfortran-mp-4.2"
@@ -38,7 +38,7 @@
   destroot.cmd-append   ${fc_options}
 }
 
-variant gcc43 conflicts gcc42 gcc44 description "Use gfortran-mp-4.3 as fortran compiler" {
+variant gcc43 conflicts gcc42 gcc44 gcc45 description "Use gfortran-mp-4.3 as fortran compiler" {
   configure.compiler    macports-gcc-4.3
   depends_lib-append    port:gcc43
   set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.3 --f90exec ${prefix}/bin/gfortran-mp-4.3"
@@ -46,7 +46,7 @@
   destroot.cmd-append   ${fc_options}
 }
 
-variant gcc44 conflicts gcc42 gcc43 description "Use gfortran-mp-4.4 as fortran compiler" {
+variant gcc44 conflicts gcc42 gcc43 gcc45 description "Use gfortran-mp-4.4 as fortran compiler" {
   configure.compiler    macports-gcc-4.4
   depends_lib-append    port:gcc44
   set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.4 --f90exec ${prefix}/bin/gfortran-mp-4.4"
@@ -54,8 +54,16 @@
   destroot.cmd-append   ${fc_options}
 }
 
+variant gcc45 conflicts gcc42 gcc43 gcc44 description "Use gfortran-mp-4.5 as fortran compiler" {
+  configure.compiler    macports-gcc-4.5
+  depends_lib-append    port:gcc45
+  set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.5 --f90exec ${prefix}/bin/gfortran-mp-4.5"
+  build.cmd-append      ${fc_options}
+  destroot.cmd-append   ${fc_options}
+}
+
 if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] } {
-  default_variants      +gcc44
+  default_variants      +gcc45
 }
 
 post-destroot {
Index: python/py26-ngl/Portfile
===================================================================
--- python/py26-ngl/Portfile	(revision 90675)
+++ python/py26-ngl/Portfile	(working copy)
@@ -43,11 +43,11 @@
                     NCARG_ROOT=${prefix}
 destroot.env        NCARG_ROOT=${prefix}
 
-if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset universal]} {
-    default_variants +gcc44
+if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset universal]} {
+    default_variants +gcc45
 }
 
-variant gcc43 conflicts g95 gcc44 universal description {link to libraries build with gfortran 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 universal description {link to libraries build with gfortran 4.3} {
     depends_build-append    port:gcc43
     configure.compiler  macports-gcc-4.3
     build.env-append    F2CLIBS=gfortran \
@@ -55,7 +55,7 @@
                         CC=${configure.cc}
 }
 
-variant gcc44 conflicts g95 gcc43 universal description {link to libraries build with gfortran 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 universal description {link to libraries build with gfortran 4.4} {
     depends_build-append    port:gcc44
     configure.compiler  macports-gcc-4.4
     build.env-append    F2CLIBS=gfortran \
@@ -63,7 +63,15 @@
                         CC=${configure.cc}
 }
 
-variant g95 conflicts gcc43 gcc44 universal description {link to libraries build with g95} {
+variant gcc45 conflicts g95 gcc43 gcc44 universal description {link to libraries build with gfortran 4.5} {
+    depends_build-append    port:gcc45
+    configure.compiler  macports-gcc-4.5
+    build.env-append    F2CLIBS=gfortran \
+                        F2CLIBS_PREFIX=${prefix}/lib/gcc45 \
+                        CC=${configure.cc}
+}
+
+variant g95 conflicts gcc43 gcc44 gcc45 universal description {link to libraries build with g95} {
     depends_build-append    port:g95
     build.env-append    F2CLIBS=f95 \
                         F2CLIBS_PREFIX=${prefix}/lib \
Index: python/py26-nio/Portfile
===================================================================
--- python/py26-nio/Portfile	(revision 90675)
+++ python/py26-nio/Portfile	(working copy)
@@ -46,11 +46,11 @@
                     NCARG_ROOT=${prefix}
 destroot.env        NCARG_ROOT=${prefix}
 
-if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset universal]} {
-    default_variants +gcc44
+if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset universal]} {
+    default_variants +gcc45
 }
 
-variant gcc43 conflicts g95 gcc44 universal description {link to libraries build with gfortran 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 universal description {link to libraries build with gfortran 4.3} {
     depends_build-append       port:gcc43
     configure.compiler  macports-gcc-4.3
     build.env-append    F2CLIBS=gfortran \
@@ -58,7 +58,7 @@
                         CC=${configure.cc}
 }
 
-variant gcc44 conflicts g95 gcc43 universal description {link to libraries build with gfortran 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 universal description {link to libraries build with gfortran 4.4} {
     depends_build-append       port:gcc44
     configure.compiler  macports-gcc-4.4
     build.env-append    F2CLIBS=gfortran \
@@ -66,7 +66,15 @@
                         CC=${configure.cc}
 }
 
-variant g95 conflicts gcc43 gcc44 universal description {link to libraries build with g95} {
+variant gcc45 conflicts g95 gcc43 gcc44 universal description {link to libraries build with gfortran 4.5} {
+    depends_build-append       port:gcc45
+    configure.compiler  macports-gcc-4.5
+    build.env-append    F2CLIBS=gfortran \
+                        F2CLIBS_PREFIX=${prefix}/lib/gcc45 \
+                        CC=${configure.cc}
+}
+
+variant g95 conflicts gcc43 gcc44 gcc45 universal description {link to libraries build with g95} {
     depends_build-append       port:g95
     build.env-append    F2CLIBS=f95 \
                         F2CLIBS_PREFIX=${prefix}/lib \
Index: python/py26-pymc/Portfile
===================================================================
--- python/py26-pymc/Portfile	(revision 90675)
+++ python/py26-pymc/Portfile	(working copy)
@@ -62,8 +62,8 @@
     build.env-append      F77=${fc} F90=${fc}
 }
 
-if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc45] && ![variant_isset g95]} {
-	   default_variants +gcc44
+if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
+	   default_variants +gcc45
 }
 
 livecheck.regex         <a href=\"http://pymc.googlecode.com/files/pymc-(\[\\d\.\]+)${extract.suffix}
Index: python/py26-pymvpa/Portfile
===================================================================
--- python/py26-pymvpa/Portfile	(revision 90675)
+++ python/py26-pymvpa/Portfile	(working copy)
@@ -73,11 +73,11 @@
 
 if {[variant_isset gcc43]} {
     set gccversion 4.3
-} elseif {[variant_isset gcc45]} {
+} elseif {[variant_isset gcc44]} {
+    set gccversion 4.4
+} else {
+    default_variants +gcc45
     set gccversion 4.5
-} else {
-    default_variants +gcc44
-    set gccversion 4.4
 }
 
 set gccnumber [join [split ${gccversion} .] ""]
Index: python/py26-pynifti/Portfile
===================================================================
--- python/py26-pynifti/Portfile	(revision 90675)
+++ python/py26-pynifti/Portfile	(working copy)
@@ -42,19 +42,24 @@
   }
 }
 
-variant gcc43 conflicts gcc44 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
     depends_build-append port:gcc43
     configure.compiler   macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
     depends_build-append port:gcc44
     configure.compiler   macports-gcc-4.4
 }
 
-if {![variant_isset gcc43]} {
-    default_variants +gcc44
+variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+    depends_build-append port:gcc45
+    configure.compiler   macports-gcc-4.5
 }
 
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants +gcc45
+}
+
 livecheck.url http://sourceforge.net/export/rss2_projfiles.php?project=niftilib
 livecheck.regex {pynifti_([0-9.]+).tar.gz}
Index: python/py27-pymc/Portfile
===================================================================
--- python/py27-pymc/Portfile	(revision 90675)
+++ python/py27-pymc/Portfile	(working copy)
@@ -62,8 +62,8 @@
     build.env-append      F77=${fc} F90=${fc}
 }
 
-if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc45] && ![variant_isset g95]} {
-	   default_variants +gcc44
+if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
+	   default_variants +gcc45
 }
 
 livecheck.regex         <a href=\"http://pymc.googlecode.com/files/pymc-(\[\\d\.\]+)${extract.suffix}
Index: science/cdf/Portfile
===================================================================
--- science/cdf/Portfile	(revision 90675)
+++ science/cdf/Portfile	(working copy)
@@ -85,8 +85,8 @@
     configure.compiler  macports-gcc-4.6
 }
 
-if {![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
-    default_variants +gcc44
+if {![variant_isset gcc44] && ![variant_isset gcc46]} {
+    default_variants +gcc45
 }
 
 livecheck.type          regex
Index: science/cfitsio/Portfile
===================================================================
--- science/cfitsio/Portfile	(revision 90675)
+++ science/cfitsio/Portfile	(working copy)
@@ -61,22 +61,27 @@
         ${docdir}
 }
 
-variant gcc42 description {create Fortran wrappers using gcc42} conflicts gcc43 gcc44 g95 {
+variant gcc42 description {create Fortran wrappers using gcc42} conflicts gcc43 gcc44 gcc45 g95 {
     depends_lib-append  port:gcc42
     configure.fc        ${prefix}/bin/gfortran-mp-4.2
 }
 
-variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc42 gcc44 g95 {
+variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc42 gcc44 gcc45 g95 {
     depends_lib-append  port:gcc43
     configure.fc        ${prefix}/bin/gfortran-mp-4.3
 }
 
-variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc42 gcc43 g95 {
+variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc42 gcc43 gcc45 g95 {
     depends_lib-append  port:gcc44
     configure.fc        ${prefix}/bin/gfortran-mp-4.4
 }
 
-variant g95 description {create Fortran wrappers using f95} conflicts gcc42 gcc43 gcc44 {
+variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc42 gcc43 gcc44 g95 {
+    depends_lib-append  port:gcc45
+    configure.fc        ${prefix}/bin/gfortran-mp-4.5
+}
+
+variant g95 description {create Fortran wrappers using f95} conflicts gcc42 gcc43 gcc44 gcc45 {
     depends_lib-append  port:g95
     configure.fc        ${prefix}/bin/g95
 }
Index: science/emos/Portfile
===================================================================
--- science/emos/Portfile	(revision 90675)
+++ science/emos/Portfile	(working copy)
@@ -95,8 +95,8 @@
 }
 
 use_parallel_build  no
-if {![variant_isset gcc43] && ![variant_isset gcc45] && ![variant_isset g95]} {
-    default_variants    +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
+    default_variants    +gcc45
 }
 universal_variant   no
 
Index: science/eo/Portfile
===================================================================
--- science/eo/Portfile	(revision 90675)
+++ science/eo/Portfile	(working copy)
@@ -58,7 +58,7 @@
         configure.args-delete   --disable-tutorial
 }
 
-variant gcc43 conflicts gcc44 description "Use GCC 4.3 for compilation of EO - optimized for host machine" {
+variant gcc43 conflicts gcc44 gcc45 description "Use GCC 4.3 for compilation of EO - optimized for host machine" {
     depends_build-append        port:gcc43
     configure.cc                gcc-mp-4.3
     configure.cxx               g++-mp-4.3
@@ -66,10 +66,18 @@
     configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
 }
 
-variant gcc44 conflicts gcc43 description "Use GCC 4.4 for compilation of EO - optimized for host machine" {
+variant gcc44 conflicts gcc43 gcc45 description "Use GCC 4.4 for compilation of EO - optimized for host machine" {
     depends_build-append        port:gcc44
     configure.cc                gcc-mp-4.4
     configure.cxx               g++-mp-4.4
     configure.cflags-append     "-ftree-vectorize -march=native -O3"
     configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
 }
+
+variant gcc45 conflicts gcc43 gcc44 description "Use GCC 4.5 for compilation of EO - optimized for host machine" {
+    depends_build-append        port:gcc45
+    configure.cc                gcc-mp-4.5
+    configure.cxx               g++-mp-4.5
+    configure.cflags-append     "-ftree-vectorize -march=native -O3"
+    configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
+}
Index: science/gromacs/Portfile
===================================================================
--- science/gromacs/Portfile	(revision 90675)
+++ science/gromacs/Portfile	(working copy)
@@ -52,8 +52,8 @@
     configure.args-append   --enable-mpi
 }
 
-if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45]} {
-    default_variants-append     +gcc44
+if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] } {
+    default_variants     +gcc45
 }
 
 variant gcc42 conflicts gcc43 gcc44 gcc45 description {build with macports-gcc-4.2} {
Index: science/gromacs-double/Portfile
===================================================================
--- science/gromacs-double/Portfile	(revision 90675)
+++ science/gromacs-double/Portfile	(working copy)
@@ -52,8 +52,8 @@
     configure.args-append   --enable-mpi
 }
 
-if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45]} {
-    default_variants-append     +gcc44
+if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] } {
+    default_variants     +gcc45
 }
 
 variant gcc42 conflicts gcc43 gcc44 gcc45 description {build with macports-gcc-4.2} {
Index: science/hdf5/Portfile
===================================================================
--- science/hdf5/Portfile	(revision 90675)
+++ science/hdf5/Portfile	(working copy)
@@ -52,7 +52,7 @@
     configure.args-delete   --disable-fortran
     configure.args-append   --enable-fortran
     pre-fetch {
-        if { ![variant_isset gcc44] && ![variant_isset gcc43] && ![variant_isset gcc42] && ![variant_isset g95] } {
+        if { ![variant_isset gcc45] && ![variant_isset gcc44] && ![variant_isset gcc43] && ![variant_isset gcc42] && ![variant_isset g95] } {
             error "You must specify a compiler variant in order to build the Fortran interface"
         }
     }
@@ -70,24 +70,30 @@
 }
 
 
-variant gcc42 conflicts g95 gcc43 gcc44 description {Compile using GCC 4.2} {
+variant gcc42 conflicts g95 gcc43 gcc44 gcc45 description {Compile using GCC 4.2} {
     depends_lib-append          port:gcc42
     configure.compiler          macports-gcc-4.2
 }
 
-variant gcc43 conflicts g95 gcc42 gcc44 description {Compile using GCC 4.3} {
+variant gcc43 conflicts g95 gcc42 gcc44 gcc45 description {Compile using GCC 4.3} {
     depends_lib-append          port:gcc43
     configure.compiler          macports-gcc-4.3
     configure.env-append        LD=${prefix}/bin/g++-mp-4.3
 }
 
-variant gcc44 conflicts g95 gcc42 gcc43 description {Compile using GCC 4.4} {
+variant gcc44 conflicts g95 gcc42 gcc43 gcc45 description {Compile using GCC 4.4} {
     depends_lib-append          port:gcc44
     configure.compiler          macports-gcc-4.4
     configure.env-append        LD=${prefix}/bin/g++-mp-4.4
 }
 
-variant g95 requires fortran conflicts gcc42 gcc43 gcc44 description {Use g95 Fortran compiler (unsupported)} {
+variant gcc45 conflicts g95 gcc42 gcc43 gcc44 description {Compile using GCC 4.5} {
+    depends_lib-append          port:gcc45
+    configure.compiler          macports-gcc-4.5
+    configure.env-append        LD=${prefix}/bin/g++-mp-4.5
+}
+
+variant g95 requires fortran conflicts gcc42 gcc43 gcc44 gcc45 description {Use g95 Fortran compiler (unsupported)} {
     depends_lib-append          port:g95
     patchfiles-append           patch-powerpc-apple.diff
     configure.fc                ${prefix}/bin/g95
Index: science/jags/Portfile
===================================================================
--- science/jags/Portfile	(revision 90675)
+++ science/jags/Portfile	(working copy)
@@ -43,8 +43,8 @@
     configure.compiler  macports-gcc-4.5
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc45]} {
-    default_variants +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants +gcc45
 }
 
 pre-build {
Index: science/magicspp/Portfile
===================================================================
--- science/magicspp/Portfile	(revision 90675)
+++ science/magicspp/Portfile	(working copy)
@@ -40,8 +40,8 @@
 
 use_parallel_build  no
 universal_variant   no
-if {![variant_isset gcc43]} {
-    default_variants    +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants    +gcc45
 }
 
 patchfiles          patch-src-Makefile.in.diff \
@@ -70,16 +70,21 @@
                             --with-emos-libraries=${prefix}/lib \
                             --with-gs-font-dir=${prefix}/share/ghostscript/fonts
 
-variant gcc43 conflicts gcc44 description {for emos +gcc43} {
+variant gcc43 conflicts gcc44 gcc45 description {for emos +gcc43} {
     configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lgfortran -lgfortranbegin -lnetcdf_c++ -lnetcdf
     configure.compiler      macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 description {for emos +gcc44} {
+variant gcc44 conflicts gcc43 gcc45 description {for emos +gcc44} {
     configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lgfortran -lgfortranbegin -lnetcdf_c++ -lnetcdf
     configure.compiler      macports-gcc-4.4
 }
 
+variant gcc45 conflicts gcc43 gcc44 description {for emos +gcc45} {
+    configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lgfortran -lgfortranbegin -lnetcdf_c++ -lnetcdf
+    configure.compiler      macports-gcc-4.5
+}
+
 #variant g95 conflicts gcc43 gcc44 description {for emos +g95} {
 #    configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lf95 -lnetcdf_c++ -lnetcdf
 #    configure.f77           ${prefix}/bin/g95
Index: science/molden/Portfile
===================================================================
--- science/molden/Portfile	(revision 90675)
+++ science/molden/Portfile	(working copy)
@@ -88,8 +88,8 @@
     configure.compiler      macports-gcc-4.5
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45]} {
-    default_variants        +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44]} {
+    default_variants        +gcc45
 }
 
 variant opengl description "Install moldenogl OpenGL helper program" {
Index: science/ncarg/Portfile
===================================================================
--- science/ncarg/Portfile	(revision 90675)
+++ science/ncarg/Portfile	(working copy)
@@ -81,10 +81,10 @@
         set fortranlib -lf95
     } elseif {[variant_isset gcc43]} {
         set fortranlib  "-L${prefix}/lib/gcc43 -lgfortran"
+    } elseif {[variant_isset gcc44]} {
+        set fortranlib  "-L${prefix}/lib/gcc44 -lgfortran"
     } elseif {[variant_isset gcc45]} {
         set fortranlib  "-L${prefix}/lib/gcc45 -lgfortran"
-    } else {
-        set fortranlib  "-L${prefix}/lib/gcc44 -lgfortran"
     } 
     foreach f {Darwin Darwin_Intel} {
         reinplace "s|-lgfortran|${fortranlib}|" ${worksrcpath}/config/${f}
@@ -207,8 +207,8 @@
     depends_build-append    port:gcc45
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc45] && ![variant_isset g95]} {
-    default_variants +gcc44
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
+    default_variants +gcc45
 }
 
 variant accelerate description {use Accelerate.framework} {
Index: science/openmpi/Portfile
===================================================================
--- science/openmpi/Portfile	(revision 90675)
+++ science/openmpi/Portfile	(working copy)
@@ -129,8 +129,8 @@
 }
 
 # dependents like netcdf need some form of fortran
-if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
-    default_variants +gcc44
+if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset g95]} {
+    default_variants +gcc45
 }
 
 livecheck.type	regex
Index: science/plplot/Portfile
===================================================================
--- science/plplot/Portfile	(revision 90675)
+++ science/plplot/Portfile	(working copy)
@@ -140,21 +140,28 @@
 # variant gcw is deleted since it has been deprecated
 # gd driver (gif, jpeg, png, svg) has been deprecated
 
-variant gcc43 conflicts g95 gcc44 universal description {Add support for fortran using gfortran-mp-4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 universal description {Add support for fortran using gfortran-mp-4.3} {
     depends_lib-append      port:gcc43
     configure.args-delete   -DENABLE_f77=OFF \
                             -DENABLE_f95=OFF
     configure.args-append   -DCMAKE_Fortran_COMPILER=\"${prefix}/bin/gfortran-mp-4.3\" \
                             -DCMAKE_Fortran_FLAGS=\"${configure.fflags}\"
 }
-variant gcc44 conflicts g95 gcc43 universal description {Add support for fortran using gfortran-mp-4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 universal description {Add support for fortran using gfortran-mp-4.4} {
     depends_lib-append      port:gcc44
     configure.args-delete   -DENABLE_f77=OFF \
                             -DENABLE_f95=OFF
     configure.args-append   -DCMAKE_Fortran_COMPILER=\"${prefix}/bin/gfortran-mp-4.4\" \
                             -DCMAKE_Fortran_FLAGS=\"${configure.fflags}\"
 }
-variant g95 conflicts gcc43 gcc44 universal description {Add support for fortran using g95} {
+variant gcc45 conflicts g95 gcc43 gcc44 universal description {Add support for fortran using gfortran-mp-4.5} {
+    depends_lib-append      port:gcc45
+    configure.args-delete   -DENABLE_f77=OFF \
+                            -DENABLE_f95=OFF
+    configure.args-append   -DCMAKE_Fortran_COMPILER=\"${prefix}/bin/gfortran-mp-4.5\" \
+                            -DCMAKE_Fortran_FLAGS=\"${configure.fflags}\"
+}
+variant g95 conflicts gcc43 gcc44 gcc45 universal description {Add support for fortran using g95} {
     depends_lib-append      port:g95
     configure.args-delete   -DENABLE_f77=OFF \
                             -DENABLE_f95=OFF
Index: science/scotch/Portfile
===================================================================
--- science/scotch/Portfile	(revision 90675)
+++ science/scotch/Portfile	(working copy)
@@ -36,14 +36,24 @@
 
 use_configure       no
 
-configure.compiler  macports-gcc-4.4
+variant gcc44 conflicts gcc45 description {Build with gcc 4.4} {}
+variant gcc45 conflicts gcc44 description {Build with gcc 4.5} {}
 
+if {[variant_isset gcc44]} {
+    depends_lib-append  port:gcc44
+    configure.compiler  macports-gcc-4.4
+} else {
+    default_variants    +gcc45
+    depends_lib-append  port:gcc45
+    configure.compiler  macports-gcc-4.5
+}
+
 variant universal {
 }
 
 set archflags       [get_canonical_archflags]
 
-depends_lib         port:openmpi port:gcc44
+depends_lib-append  port:openmpi
 
 build.env-append    CC=${configure.cc} \
                     CXX=${configure.cxx} \
Index: science/splash/Portfile
===================================================================
--- science/splash/Portfile	(revision 90675)
+++ science/splash/Portfile	(working copy)
@@ -21,10 +21,10 @@
 checksums           rmd160  430e64f7740dc04cc8bd898b3b0e4ddc87f277ab \
                     sha256  f3e3331dbf544f35bfbe2dc2b4dd3da7963011f2b1bd2c7e5d1418244c32eb55
 
-if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
-   default_variants      +gcc44
+if { ![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46]} {
+   default_variants      +gcc45
 }
-default_variants    +pgplot
+default_variants-append    +pgplot
 
 use_configure       no
 
Index: science/whatcheck/Portfile
===================================================================
--- science/whatcheck/Portfile	(revision 90675)
+++ science/whatcheck/Portfile	(working copy)
@@ -27,14 +27,24 @@
 
 dist_subdir         ${name}/${version}
 worksrcdir          ${name}
-depends_lib         port:gcc44 port:xfig
+depends_lib         port:xfig
 patchfiles          whatcheck.patch
 use_configure       no
 use_bzip2           yes
 extract.only        whatcheck.tar.bz2
 
-configure.compiler  macports-gcc-4.4
+variant gcc44 conflicts gcc45 description {Build with GCC 4.4} {}
+variant gcc45 conflicts gcc44 description {Build with GCC 4.5} {}
 
+if {[variant_isset gcc44]} {
+    configure.compiler  macports-gcc-4.4
+    depends_lib-append  port:gcc44
+} else {
+    default_variants    +gcc45
+    configure.compiler  macports-gcc-4.5
+    depends_lib-append  port:gcc45
+}
+
 post-extract {
     system "cd ${worksrcpath} && rm -fr *.o dbdata/fonts/.svn"
     system "cd ${worksrcpath} && rm -fr dssp && unzip ${distpath}/dsspcmbi.zip"
